# $Revision: 1.11 $, $Date: 2005/10/05 20:11:14 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	Select
%define		_status		stable

%define		_pearname	%{_class}_%{_subclass}_Common
Summary:	%{_pearname} - small classes to handle common <select> lists
Summary(pl):	%{_pearname} - mae klasy do obsugi list <select>
Name:		php-pear-%{_pearname}
Version:	1.1
Release:	4
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	182210f08e809d51208ae4ecc70a4f3c
URL:		http://pear.php.net/package/HTML_Select_Common/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
Requires:	php-pear-I18N >= 0.8
Obsoletes:	php-pear-HTML_Select
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides <select>lists for:
 - Country
 - UK counties
 - US States

In PEAR status of this package is: %{_status}.

%description -l pl
Dostarcza listy <select> do pyta o:
 - kraj
 - kraje UK
 - stany US

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mkdir -p docs/%{_pearname}
mv ./%{php_pear_dir}/%{_class}/%{_subclass}/Common/examples docs/%{_pearname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%dir %{php_pear_dir}/%{_class}/%{_subclass}/Common
%{php_pear_dir}/%{_class}/%{_subclass}/Common/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_Select_Common.spec,v $
Revision 1.11  2005/10/05 20:11:14  glen
- rel 4

Revision 1.10  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.9  2005/09/22 20:42:40  glen
- new pear packaging (fixed %files); rel 3

Revision 1.8  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.7  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.6  2003/10/07 20:54:46  adamg
- do not use macros in URL

Revision 1.5  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.4  2003/06/22 17:42:02  adamg
- fixed %%install and %%files, builds

Revision 1.3  2003/06/18 21:43:15  ankry
- fixed md5

Revision 1.2  2003/06/03 20:00:19  qboosh
- Obsoletes: php-pear-HTML_Select

Revision 1.1  2003/05/31 23:44:03  adamg
- initial import (formely php-pear-HTML_Select.spec)
